Bug 511321 - nouveau driver causing monitor oddness
nouveau driver causing monitor oddness
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 13:03 EDT by Andy Gospodarek
Modified: 2014-06-29 19:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg.frozenx (54.58 KB, patch)
2009-08-10 15:22 EDT, Andy Gospodarek
no flags Details | Diff
Xorg.0.log.frozenx (177.40 KB, patch)
2009-08-10 15:23 EDT, Andy Gospodarek
no flags Details | Diff

  None (edit)
Description Andy Gospodarek 2009-07-14 13:03:35 EDT
Description of problem:

Upgraded to F11 last night and decided to dump the nvidia driver since nouveau supports dual-head configurations.  I moved my previously-working F10 xorg.conf out of /etc/X11/, rmmoded the nvidia driver, and started X.

Everything seemed to be working well and the display configuration allowed me to setup my dual-monitor perfectly.  I was quite pleased this was working.

After a short while, I started to notice what I first thought were some dead or stuck pixels on my primary LCD (Dell 2001FP) but realized if I moved a window over to those pixels, they were not a problem with the LCD, but with X or the driver.  This was only happening on the primary display device (the left one in this case).  The right display showed no strange 'stuck' pixels (but it could be that I just didn't notice them.

I've also found that I could not consistently wake up the left monitor when the screens went black when the screensaver (which is set to just a blank screen) would run.  I would have to switch inputs (this model has 4 selectable ones) or turn the monitor on and off to get the screen to come back.

Version-Release number of selected component (if applicable):

2.6.29.5-191.fc11.x86_64

How reproducible:

The display that could not be restored without messing with the monitor happened 4 times this morning, so I can probably reproduce it on demand.

Steps to Reproduce:
1.  Boot system and login to X.
2.  Wait until screensaver (blank) runs.

Actual results:

Left display does not show an image without messing with the settings or power-cycling it.

Expected results:

Left display powers up and shows information just like the right display does.

Additional info:

$ lspci -vs 05:00.0
05:00.0 VGA compatible controller: nVidia Corporation NV37GL [Quadro PCI-E Series] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: nVidia Corporation Device 0215
	Flags: bus master, fast devsel, latency 0, IRQ 20
	Memory at a2000000 (32-bit, non-prefetchable) [size=16M]
	Memory at b0000000 (32-bit, prefetchable) [size=256M]
	Memory at a1000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: nvidia
	Kernel modules: nvidia, nouveau

$ uname -a
Linux quad 2.6.29.5-191.fc11.x86_64 #1 SMP Tue Jun 16 23:23:21 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

I was really hoping this wasn't my monitor dying, so I restored xorg.conf, modprobed the nvidia driver, and restarted X.  So far I do not notice the odd stuck pixels or problems coming back when the system was locked, running screen-saver.  I'll monitor that and post back if that changes.
Comment 1 Adam Williamson 2009-07-20 20:51:18 EDT
Can we get your X logs? Thanks.

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Andy Gospodarek 2009-07-21 10:46:35 EDT
I'll try and provide this info when I can reboot and try the latest kernel.  It apprears my Xorg.0.log only shows what's running right now, not the old config....
Comment 3 Adam Williamson 2009-07-21 13:56:55 EDT
yes, Xorg.0.log is rewritten every time X starts. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Andy Gospodarek 2009-08-10 15:22:32 EDT
Created attachment 356943 [details]
dmesg.frozenx
Comment 5 Andy Gospodarek 2009-08-10 15:23:00 EDT
Created attachment 356944 [details]
Xorg.0.log.frozenx
Comment 6 Andy Gospodarek 2009-08-10 15:26:42 EDT
When I restarted my system today I noticed that the nvidia driver had not been built for the newly installed kernel (2.6.29.6-217.2.3.fc11), so I went ahead and tested nouveau for a while this morning.

It generally seemed to work well, but I got up to do something and when I came back it would not come back from a blank screen (I also use the blank-screen as my screensaver).

The Xorg.0.log.frozenx file will probably contain a few restarts because I didn't wipe my xorg.conf file before using the nouveau driver, so I had to delete it and restart X.
Comment 7 Matěj Cepl 2009-11-05 13:34:38 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Andy Gospodarek 2009-11-09 12:16:40 EST
So I just rebooted to use the nouveau driver included with 2.6.30.9-96.fc11.x86_64 and I'll report back any problems I find.
Comment 9 Andy Gospodarek 2009-11-09 14:25:17 EST
More lockups using nouveau from 2.6.30.9-96.fc11.x86_64, but I'll try a live usb image sometime soon (I'll have to schedule a reboot) and see what it looks like.
Comment 10 Bug Zapper 2010-04-27 11:40:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 09:37:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.